%define	name	knetfilter
%define	version	3.3.0
%define	release	1mdk

Name: 		%{name}
Summary: 	KNetFilter - A GUI for configuring the 2.4 kernel IP Tables
Version: 	%{version}
Release: 	%{release}
License: 	GPL
Group: 		Networking/Other
Source0: 	http://expansa.sns.it:8080/knetfilter/%{name}-%{version}.tar.bz2
Patch0:		%{name}-3.1.4-dont-chgrp-during-install.patch.bz2
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires: 	userspace-ipfilter
BuildRequires:	userspace-ipfilter qt3-devel zlib-devel kdelibs-devel png-devel fam-devel ImageMagick
Url: 		http://expansa.sns.it:8080/knetfilter/

Obsoletes:	kde3-knetfilter
Provides:	kde3-knetfilter

%description
Knetfilter is a GUI to configure your 2.4 kernel IP firewalling,
masquerading and NAT rules.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q
%patch0 -p1 -b .orig

%build
export PATH="$PATH:/sbin"
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" \
./configure	--build=%{_target_platform} \
		--prefix=%{_prefix} \
		--libdir=%{_libdir} \
		--disable-rpath \
		--disable-debug \
		--enable-mt \
		--enable-shared \
		--disable-static \
		--disable-objprelink \
		--with-pic \
		--with-gnu-ld \
		--disable-embedded \
		--enable-fast-install=yes \
		--with-qt-dir=%{_libdir}/qt3 \
		--with-xinerama \
		--enable-final
%make

%install
%makeinstall_std

(cd $RPM_BUILD_ROOT
mkdir -p ./usr/lib/menu
cat > ./usr/lib/menu/knetfilter <<EOF
?package(%{name}):\
command="%{_bindir}/%{name}"\
title="Knetfilter"\
longtitle="KDE frontend to iptables"\
needs="x11"\
icon="%{name}.png"\
section="System/Configuration/Internet"
EOF
)

install -d $RPM_BUILD_ROOT{%{_miconsdir},%{_liconsdir}}
convert -size 16x16 src/pics/knetfilter.png $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
convert -size 32x32 src/pics/knetfilter.png $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
convert -size 48x48 src/pics/knetfilter.png $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (755,root,bin,755)
%{_bindir}/*
%defattr (644,root,root,755)
%doc AUTHORS ChangeLog README README.QoS README.first TODO VERSION
%{_datadir}/applnk/Internet/%{name}.desktop
#%_datadir/apps/knetfilter/
#%_datadir/doc/HTML/en/knetfilter/
%{_iconsdir}/*.png
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_menudir}/%{name}

%changelog
* Wed Sep 01 2004 Lenny Cartier <lenny@mandrakesoft.com> 3.3.0-1mdk
- 3.3.0

* Thu Jun 17 2004 Lenny Cartier <lenny@mandrakesoft.com> 3.2.0-2mdk
- rebuild

* Thu Feb 26 2004 Lenny Cartier <lenny@mandrakesoft.com> 3.2.0-1mdk
- 3.2.0

* Mon Feb 02 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.4-3mdk
- Rebuild

* Wed Dec 17 2003 Marcel Pol <mpol@mandrake.org> 3.1.4-2mdk
- depend on userspace-ipfilter
- use %%_libdir for qtdir

* Sat Dec 13 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 3.1.4-1mdk
- 3.1.4
- fix buildrequires (lib64..)
- don't chgrp during install (P0), do it in %%files in stead
- add icon to menu item

* Fri Jun 20 2003 Per yvind Karlsen <peroyvind@sintrax.net> 3.1.2-3mdk
- hm, stupid me, really fix path to qt3

* Fri Jun 20 2003 Per yvind Karlsen <peroyvind@sintrax.net> 3.1.2-2mdk
- fix path to qt3 (lib64 issues..)

* Sat Jun 14 2003 Per yvind Karlsen <peroyvind@sintrax.net> 3.1.2-1mdk
- 3.1.2
- rm -rf $RPM_BUILD_ROOT in correct stage
- configure and compile with optimizations
- drop /sbin/ldconfig in %%post and %%postun, no libraries in this package
- quiet setup
- drop patch
- macroize
- cleanups
- added docs
- force file permissions in file list
- fix buildrequires

* Wed Apr 30 2003 Lenny Cartier <lenny@mandrakesoft.com> 3.1.1-1mdk
- 3.1.1
- buildrequires

* Mon Oct 07 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-1mdk
- 3.0.3

* Mon Aug 19 2002 Laurent Culioli <laurent@pschit.net> 3.0.2-3mdk
- Rebuild with gcc3.2

* Sat Jul 27 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-2mdk
- Rebuild against gcc-3.2

* Mon Jul 08 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-1mdk
- 3.0.2

* Fri Jun 14 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.0-5mdk
- Fix build requires

* Fri May 31 2002 Lenny Cartier <lenny@mandrakesoft.com> 3.0.0-4mdk
- rebuild against new libstdc++

* Fri May 24 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.0-3mdk
- Rebuild

* Wed May 08 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.0-2mdk
- Rebuild against gcc3.1

* Fri Apr 12 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.0-1mdk
- Port to kde3

* Thu Mar 14 2002 Lenny Cartier <lenny@mandrakesoft.com> 2.2.5-1mdk
- 2.2.5

* Mon Feb 04 2002 Lenny Cartier <lenny@mandrakesoft.com> 2.2.4-1mdk
- 2.2.4
- makefile patch

* Wed Jan 23 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2.2-3mdk
- Rebuild

* Sun Jan 20 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2.2-2mdk
- Update code 
- Fix menu entry

* Wed Nov 14 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.2.2-1mdk
- 2.2.2

* Mon Oct 29 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.2.1-1mdk
- 2.2.1

* Tue Oct 16 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.2.0-2mdk
- rebuild against new libpng
- url

* Thu Sep 13 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.2.0-1mdk
- new
